ch.dieseite.colladaloader.coreproc

## Class DataAssembler.MyIterable

- java.lang.Object
- - ch.dieseite.colladaloader.coreproc.DataAssembler.MyIterable

- All Implemented Interfaces:
    java.lang.Iterable<SaxParser.Record<?,?>>, java.util.Iterator<SaxParser.Record<?,?>>
  Enclosing class:
    DataAssembler

      private static class DataAssembler.MyIterable
      extends java.lang.Object
      implements java.lang.Iterable<SaxParser.Record<?,?>>, java.util.Iterator<SaxParser.Record<?,?>>

  wrapps children array from a Record into a Iterable object
  Author:
    mrcoffee

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SaxParser.Record<?,?>[]` | `children`
    `private int` | `index`
    `private int` | `maxInd`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `MyIterable(SaxParser.Record<?,?> r)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `java.util.Iterator<SaxParser.Record<?,?>>` | `iterator()`
    `SaxParser.Record<?,?>` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### children

          private SaxParser.Record<?,?>[] children

    - #### maxInd

          private int maxInd

    - #### index

          private int index

  - ### Constructor Detail

    - #### MyIterable

          private MyIterable(SaxParser.Record<?,?> r)

  - ### Method Detail

    - #### iterator

          public java.util.Iterator<SaxParser.Record<?,?>> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<SaxParser.Record<?,?>>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<SaxParser.Record<?,?>>`

    - #### next

          public SaxParser.Record<?,?> next()

      Specified by:
        `next` in interface `java.util.Iterator<SaxParser.Record<?,?>>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<SaxParser.Record<?,?>>`